Bug 132286

Summary: update-port: sysutils/bacula-server
Product: Ports & Packages Reporter: Oliver Lehmann <oliver>
Component: Individual Port(s)Assignee: Wesley Shields <wxs>
Status: Closed FIXED    
Severity: Affects Only Me CC: oliver
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
bacula.diff none

Description Oliver Lehmann freebsd_committer 2009-03-03 17:10:00 UTC
	there are two small errors in the bacula rc.d startup scripts:
	- PROVIDE should be something meaningfull and should match the
	  contents of the variable name defined inside the script
	- pidfile= should be defined after the defaults for the variable
	  which is used to define pidfile is defined itself. Otherwise
	  pidfile will be empty and the rc.d subsystem will fallback to
	  use ps(1) for killing the old process on stop or restart which
	  can lead to wrong results.

	please check, test and approve this update if it is OK for you

	I also modfied the rc.d scripts for the -devel port
Comment 1 Edwin Groothuis freebsd_committer 2009-03-03 17:10:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-03-03 17:10:40 UTC
Maintainer of sysutils/bacula-server,

Please note that PR ports/132286 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132286

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-03-03 17:10:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dan Langille 2009-03-03 21:13:30 UTC
This is a good idea. Preliminary testing looks positive.

Please commit.  With PORTREVISION bump, if you think of it.

Thank you.

-- 
Dan Langille

BSDCan - The Technical BSD Conference : http://www.bsdcan.org/
PGCon  - The PostgreSQL Conference:     http://www.pgcon.org/
Comment 5 dfilter service freebsd_committer 2009-03-08 23:05:55 UTC
beech       2009-03-08 23:05:44 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile 
    sysutils/bacula-server/files bacula-dir.in bacula-fd.in 
                                 bacula-sd.in 
  Added files:
    sysutils/bacula-server/files patch-src-stored-acquire.c 
                                 patch-src-stored-reserve.c 
  Log:
  - Fix rc.d scripts [1]
  - fix hang during multiple simultaneous backups. [2]
  
  PR:             ports/132286 [1]
  PR:             ports/132314 [2]
  Submitted by:   Oliver Lehmann <oliver@freebsd.org> [1]
                  Dan Langille <dan@langille.org> (maintainer) [2]
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.112     +1 -0      ports/sysutils/bacula-server/Makefile
  1.3       +4 -4      ports/sysutils/bacula-server/files/bacula-dir.in
  1.5       +4 -4      ports/sysutils/bacula-server/files/bacula-fd.in
  1.4       +4 -4      ports/sysutils/bacula-server/files/bacula-sd.in
  1.1       +23 -0     ports/sysutils/bacula-server/files/patch-src-stored-acquire.c (new)
  1.1       +28 -0     ports/sysutils/bacula-server/files/patch-src-stored-reserve.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Beech Rintoul freebsd_committer 2009-03-08 23:06:26 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!
Comment 7 Wesley Shields freebsd_committer 2009-05-12 19:08:09 UTC
State Changed
From-To: closed->open

Reopen per maintainers request. The rc.d changes didn't get committed. 


Comment 8 Wesley Shields freebsd_committer 2009-05-12 19:08:09 UTC
Responsible Changed
From-To: oliver->wxs

Reopen per maintainers request. The rc.d changes didn't get committed.
Comment 9 Angelo Turetta 2009-05-14 16:30:08 UTC
I verified the status.

The patch was actually committed fine to sysutils/bacula-server, but 
this PR contained the equivalent patch for sysutils/bacula-server-devel 
too, which is the part missing.

If someone wants to commit that part too, the PS can be closed.

Angelo.
Comment 10 Wesley Shields freebsd_committer 2009-06-01 18:05:19 UTC
State Changed
From-To: open->closed

Committed to bacula-server-devel. Thanks!